Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 829506 - app-admin/ryzen_smu does not sign module (cannot load module)
Summary: app-admin/ryzen_smu does not sign module (cannot load module)
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Piotr Karbowski
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-18 00:15 UTC by soundbastlerlive
Modified: 2022-02-09 20:38 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soundbastlerlive 2021-12-18 00:15:11 UTC
app-admin/ryzen_smu does not sign module (if kernel module signing is enabled), so the kernel cannot load the module:

modprobe: ERROR: could not insert 'ryzen_smu': Key was rejected by service
dmesg: Loading of unsigned module is rejected

tried on various different systems with different AMD CPUs and mixtures of 5.10.87 and 5.15.10

I looked at the zfs-kmod ebuild (which properly signs its module) and couldn't at first glance see anything it does specifically for that.

Reproducible: Always

Steps to Reproduce:
1. emerge ryzen_smu # on linux kernel with module signing enabled
2. modprobe ryzen_smu
Actual Results:  
modprobe: ERROR: could not insert 'ryzen_smu': Key was rejected by service
dmesg: Loading of unsigned module is rejected

Expected Results:  
modprobe should work

module not signed if kernel module signing enabled, which e.g. zfs-kmod does properly
Comment 1 Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2022-02-07 22:30:31 UTC
Perhaps the build system have logic to sign them on install. I will look into it.
Comment 2 soundbastlerlive 2022-02-07 22:57:40 UTC
like I said, e.g. zfs-kmod does it properly, so the method should be there
Comment 3 Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2022-02-09 19:34:11 UTC
Your comment was so unnecessary. Please refrain from adding comments with those 'like I said' of yours unless they have any meaningful input.
Comment 4 soundbastlerlive 2022-02-09 20:38:23 UTC
I think you are over-interpreting (?), sorry for any misunderstanding, English is not my native language, no offense meant! :)

What I meant was, since you posted "Perhaps the build system have logic to sign them" I thought you maybe did not see, that zfs-kmod seems to do this successfully, so I wanted to save you time/work.

But maybe I wrongly interpreted that you did not see this hint, so I hope this clarifies it :)

Thanks for your effort!